<manifest version="1.0" type="device" >
    <hal format="hidl">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <!--impl level="generic"></impl-->
        <version>1.2</version>
        <interface>
            <name>INfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!--<hal format="hidl">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.2</version>
        <interface>
            <name>ISecureElement</name>
            <instance>SIM1</instance>
	    <instance>SIM2</instance>
        </interface>
    </hal>-->
    
    <!--<hal format="hidl">
        <name>android.hardware.wired_se</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.0</version>
        <interface>
            <name>INxpWiredSe</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.nfc</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.1</version>
        <version>2.0</version>
        <interface>
            <name>INfc</name>
            <instance>default</instance>
            <instance>nfc_nci</instance>
        </interface>
    </hal> -->
    <hal format="hidl">
        <name>vendor.nxp.nxpnfc</name>
        <transport>hwbinder</transport>
        <!--impl level="generic"></impl-->
        <version>2.0</version>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>

    <hal format="hidl">
        <name>vendor.nxp.nxpnfclegacy</name>
        <transport>hwbinder</transport>
        <!--impl level="generic"></impl-->
        <version>1.0</version>
        <interface>
            <name>INxpNfcLegacy</name>
            <instance>default</instance>
        </interface>
    </hal>

    <!--<hal format="hidl">
        <name>vendor.nxp.nxpese</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.0</version>
        <interface>
            <name>INxpEse</name>
            <instance>default</instance>
        </interface>
    </hal>
        <hal format="hidl">
        <name>vendor.nxp.eventprocessor</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.0</version>
        <interface>
            <name>INxpEseEvtProcessor</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.nxp.nxpwiredse</name>
        <transport>hwbinder</transport>
        <impl level="generic"></impl>
        <version>1.0</version>
        <interface>
            <name>INxpWiredSe</name>
            <instance>default</instance>
        </interface>
    </hal> -->
    <sepolicy>
        <version>0.0</version>
    </sepolicy>
</manifest>